Bug 411111 - rhnpush-5.0.0-7 won't properly convert a patch cluster
rhnpush-5.0.0-7 won't properly convert a patch cluster
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Solaris (Show other bugs)
501
All Linux
high Severity high
: ---
: ---
Assigned To: Pradeep Kilambi
Brandon Perkins
: Regression
Depends On:
Blocks: 248637
  Show dependency treegraph
 
Reported: 2007-12-04 16:43 EST by Justin Sherrill
Modified: 2010-10-22 16:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 16:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2007-12-04 16:43:51 EST
Description of problem:

When trying to convert a patch cluster with solaris2mpm using rhnpush-5.0.0-7,
the program outputs:

Opening archive, this may take a while
Writing
patch-cluster-solaris-10_Recommended-20071019-1.sparc-solaris-patch-cluster.mpm

and then just hangs with lots of cpu usage.  It never completes (at least after
24 hours) but does generate 1 large mpm that doesn't seem to work properly.

The same patch cluster converts properly with rhnpush-4.2.2-3.

I've uploaded the patch cluster here: 

http://dually.rdu.redhat.com/pub/10_Recommended.zip


Version-Release number of selected component (if applicable): rhnpush-5.0.0-7


How reproducible:


Steps to Reproduce:
1. run 'solaris2mpm 10_Recommended.zip' using rhnpush-5.0.0-7
2.
3.
  
Actual results:
Patch cluster created is not usable and program never completes

Expected results:
program completes and usable patch cluster is generated.
Comment 1 Brandon Perkins 2007-12-05 11:01:09 EST
What happens if you use the temporary directory argument?  This appears to be
that same old issue.
Comment 2 Justin Sherrill 2007-12-05 13:46:44 EST
I'm not sure what you mean by same old issue?

On my machine with 2.5 gigs free of space /tmp/ is on the same partition as the
directory i was using, and even if i use  

solaris2mpm --tempdir=./temp/  10_recommended.zip  

it still does not work.  I've had a couple of complaints from support about this
when working on solaris related things. (Granted it may have all been with the
same patch cluster).
Comment 3 Pradeep Kilambi 2008-01-17 13:59:00 EST
When solaris2mpm is called, it in turn calls _my_popen to run the zip command in
a separate process, which ends up in an infinite while loop where we keep making
the same call if there is a read descriptor..

Before fix:

[prad ~]$ python /usr/share/rhn/rhnpush/solaris2mpm.py
Desktop/10_Recommended.zip Opening archive, this may take a while
select return values rd:[], wr:[], ex:[]
Writing
patch-cluster-solaris-10_Recommended-20071019-1.sparc-solaris-patch-cluster.mpm
select return values rd:[<open file '<fdopen>', mode 'r' at 0x9370218>, <open
file '<fdopen>', mode 'r' at 0x9370140>], wr:[], ex:[]
select return values rd:[<open file '<fdopen>', mode 'r' at 0x9370218>, <open
file '<fdopen>', mode 'r' at 0x9370140>], wr:[], ex:[]
select return values rd:[<open file '<fdopen>', mode 'r' at 0x9370218>, <open
file '<fdopen>', mode 'r' at 0x9370140>], wr:[], ex:[]
select return values rd:[<open file '<fdopen>', mode 'r' at 0x9370218>, <open
file '<fdopen>', mode 'r' at 0x9370140>], wr:[], ex:[]
select return values rd:[<open file '<fdopen>', mode 'r' at 0x9370218>, <open
file '<fdopen>', mode 'r' at 0x9370140>], wr:[], ex:[]

...and stays here for ever as the read descriptor is always the same..

After fix:

[prad ~]$ python /usr/share/rhn/rhnpush/solaris2mpm.py Desktop/10_Recommended.zip 
Opening archive, this may take a while
Writing
patch-cluster-solaris-10_Recommended-20071019-1.sparc-solaris-patch-cluster.mpm
Writing patch-solaris-118560-02-1.sparc-solaris-patch.mpm
Writing patch-solaris-118712-18-1.sparc-solaris-patch.mpm
Writing patch-solaris-118731-01-1.sparc-solaris-patch.mpm
Writing patch-solaris-118815-06-1.sparc-solaris-patch.mpm
...
[pkilambi@prad ~]$

and uploading the same mpm's works correctly:

[prad ~]$ rhnpush --server=http://rlx-1-14.rhndev.redhat.com/APP
--username=admin --password=dog8code -c solaris-136540
patch-solaris-125418-01-1.sparc-solaris-patch.mpm --force
Connecting to http://rlx-1-14.rhndev.redhat.com/APP
url is http://rlx-1-14.rhndev.redhat.com/PACKAGE-PUSH
Result codes: 200 OK
Computing md5sum and package Info .This may take sometime ...
Uploading package patch-solaris-125418-01-1.sparc-solaris-patch.mpm
Using POST request

Comment 4 Brandon Perkins 2008-02-05 00:21:38 EST
Verified.
Comment 6 Brandon Perkins 2008-04-02 16:36:43 EDT
Solaris Management Build 5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.